Bug 787064 - Alt+PageUp and Alt+PageDown shortcuts don't work when editor is not focused
Alt+PageUp and Alt+PageDown shortcuts don't work when editor is not focused
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.5-SNAPSHOT
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.6-beta-1
Assigned To: Patrick Huang
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-02 23:39 EST by David Mason
Modified: 2013-03-03 22:19 EST (History)
4 users (show)

See Also:
Fixed In Version: Zanata version 1.6.0-alpha-3-SNAPSHOT (20120515-0020).
Doc Type: Bug Fix
Doc Text:
Cause We only listen to keyboard events when focus is within editing area. Consequence In Firefox, when reaching the end of the document, focus will not be on editing area and further keyboard shortcut won't work. Workaround Use mouse to click on navigation buttons when focus has lost . Result May have to use mouse occasionally under Firefox.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-02-02 23:39:29 EST
Description of problem:
In web editor, Alt+PageUp and Alt+PageDown shortcuts to modal navigation only work if the editor is open and has focus. These shortcuts are useful even without an editor open (e.g. in future read-only mode), so should work regardless whether the editor is open.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Open any document with strings
2. Hold Alt and press PageDown
  
Actual results:
Nothing happens

Expected results:
Next fuzzy/untranslated textflow is selected

Additional info:
Comment 1 Patrick Huang 2012-05-13 20:05:21 EDT
Committed in master: https://github.com/zanata/zanata/commit/1a9846a12ca5f4ebd9a49894afcd41e5e8aa2587
Comment 2 Joyce Chang 2012-05-14 22:08:31 EDT
hey Patrick, 
it works fine now except for one weird behaviour under firebox.

On the very last fuzzy/untranslated entry of the whole document, it won't work for Alt+up if you want to navigate back fuzzy/untranslated entries, while the editor is closed but still focused. In this case, Alt+up would only work when editor is enabled by clicking it, so users can navigate back fuzzy/untranslated entries.   




additional info.
chrome doesn't have this issue.
Comment 3 Joyce Chang 2012-05-15 00:24:58 EDT
verified in Zanata version 1.6.0-alpha-3-SNAPSHOT (20120515-0020).
Comment 4 Joyce Chang 2012-05-15 00:43:45 EDT
(In reply to comment #2)
> hey Patrick, 
> it works fine now except for one weird behaviour under firebox.
> 
> On the very last fuzzy/untranslated entry of the whole document, it won't work
> for Alt+up if you want to navigate back fuzzy/untranslated entries, while the
> editor is closed but still focused. In this case, Alt+up would only work when
> editor is enabled by clicking it, so users can navigate back fuzzy/untranslated
> entries.   
> 
> 
> additional info.
> chrome doesn't have this issue.

This a minor issue and not affecting severely. will report another bug to track this issue. see bug 821591
Comment 5 Patrick Huang 2012-06-05 20:35:07 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
We only listen to keyboard events when focus is within editing area.

Consequence
In Firefox, when reaching the end of the document, focus will not be on editing area and further keyboard shortcut won't work.

Workaround
Use mouse to click on navigation buttons when focus has lost .

Result
May have to use mouse occasionally under Firefox.

Note You need to log in before you can comment on or make changes to this bug.